## user-provided preconditioner

- ex6.c u`` + u^{2} = f. Different matrices for the Jacobian and the preconditioner.
  Demonstrates the use of matrix-free Newton-Krylov methods in conjunction
  with a user-provided preconditioner. Input arguments are:
  -snes_mf : Use matrix-free Newton methods
  -user_precond : Employ a user-defined preconditioner. Used only with
  matrix-free methods in this example.